Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils.resolver.implementations
Class ResolverLocalFilesystem

    java.lang.Object
      org.apache.xml.security.utils.resolver.ResourceResolverSpi
          org.apache.xml.security.utils.resolver.implementations.ResolverLocalFilesystem

    public class ResolverLocalFilesystem

extends ResourceResolverSpi

A simple ResourceResolver for requests into the local filesystem.

Field Summary

Fields inherited from class org.apache.xml.security.utils.resolver.ResourceResolverSpi
`properties, secureValidation`

Constructor Summary
`ResolverLocalFilesystem()`

Method Summary
`boolean` | `engineCanResolveURI(ResourceResolverContext context)` This method helps the `ResourceResolver` to decide whether a `ResourceResolverSpi` is able to perform the requested action.
`boolean` | `engineIsThreadSafe()` Tells if the implementation does can be reused by several threads safely.
`XMLSignatureInput` | `engineResolveURI(ResourceResolverContext context)` This is the workhorse method used to resolve resources.

Methods inherited from class org.apache.xml.security.utils.resolver.ResourceResolverSpi
`engineAddProperies, engineCanResolve, engineGetProperty, engineGetPropertyKeys, engineResolve, engineSetProperty, fixURI, understandsProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolverLocalFilesystem

    public ResolverLocalFilesystem()

Method Detail

### engineIsThreadSafe

    public boolean engineIsThreadSafe()

  Description copied from class: `ResourceResolverSpi`
  Tells if the implementation does can be reused by several threads safely. It normally means that the implementation does not have any member, or there is member change between engineCanResolve & engineResolve invocations. Or it maintains all member info in ThreadLocal methods.

  Overrides:
    `engineIsThreadSafe` in class `ResourceResolverSpi`

### engineResolveURI

    public XMLSignatureInput engineResolveURI(ResourceResolverContext context)
                                       throws ResourceResolverException

  Description copied from class: `ResourceResolverSpi`
  This is the workhorse method used to resolve resources.

  Overrides:
    `engineResolveURI` in class `ResourceResolverSpi`
  Parameters:
    `context` - Context to use to resolve resources.
  Returns:
    the resource wrapped around a XMLSignatureInput
  Throws:
    `ResourceResolverException`

### engineCanResolveURI

    public boolean engineCanResolveURI(ResourceResolverContext context)

  Description copied from class: `ResourceResolverSpi`
  This method helps the `ResourceResolver` to decide whether a `ResourceResolverSpi` is able to perform the requested action.

  New clients should override this method, and not override `ResourceResolverSpi.engineCanResolve(Attr, String)`

  Overrides:
    `engineCanResolveURI` in class `ResourceResolverSpi`
  Parameters:
    `context` - Context in which to do resolution.
  Returns:
    true if the engine can resolve the uri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD